package org.anc.tool.ui;

import org.anc.tool.annotation.ChoiceProperty;
import org.anc.tool.annotation.ExclusiveListProperty;
import org.anc.tool.annotation.ListProperty;
import org.anc.tool.annotation.StringProperty;
import org.anc.tool.annotation.TokenProperty;
import org.anc.tool.api.IProcessor;
import org.anc.tool.ui.swing.Panel;

/** Object that implement IUserInterfaceFactory are able to generate user
 *  interfaces for the {@link org.anc.tool.api.IProcessor processors}.
 *   
 * @author Keith Suderman
 *
 */
public interface IUserInterfaceFactory
{
   UserInterface create(Class<? extends IProcessor> procClass);
   
   Panel createPanel();
   Panel createPanel(String title);
   void addToPanel(Panel panel, IComponent component);
   
   IComponent createChoice(ChoiceProperty choice);
   IComponent createExclusiveList(ExclusiveListProperty list);
   IComponent createList(ListProperty list);
   IComponent createTextField(StringProperty string);
   IComponent createTokenField(TokenProperty token);
}
