package org.anc.tool.ui.swing;

import javax.swing.JCheckBox;

import org.anc.conf.AnnotationType;
import org.anc.tool.ui.IComponent;

/**
 * CheckBox used to represent the annotations in the annotations panel. Extends
 * the JCheckBox swing class and adds an {@link AnnotationType} field.
 * 
 * @author Keith Suderman
 * @version 1.0
 */
public class AnnotationCheckBox extends JCheckBox implements IComponent
{
   private static final long serialVersionUID = 1L;

   /** The annotation type associated with this check box. */
   private AnnotationType type;

   public AnnotationCheckBox(AnnotationType type)
   {
      super(type.getDesc());
      this.type = type;
   }

   /** Returns the annotation type associated with this check box. */
   public AnnotationType getValue()
   {
      if (this.isSelected())
      {
         return type;
      }
      return null;
   }

}
