package org.anc.tool.ui.swing;

import java.util.LinkedList;
import java.util.List;

import javax.swing.BorderFactory;
import javax.swing.ButtonGroup;
import javax.swing.JCheckBox;

import org.anc.tool.ui.IComponent;
import org.anc.ui.GBC;

public class ChoicePanel extends Panel implements IComponent
{   
   private static final long serialVersionUID = 1L;
   
   private List<ChoiceBox> boxes = new LinkedList<ChoiceBox>();
   private ButtonGroup group = new ButtonGroup();
   
   public ChoicePanel(String title, String[] choices, int selected)
   {
      super(title);
      GBC gbc = new GBC();
      gbc.anchorLeft();
      gbc.fillHorizontal();
      
      int count = 0;
      for (String choice : choices)
      {
         ChoiceBox box = new ChoiceBox(choice);
         if (count == selected)
         {
            box.setSelected(true);
         }
         super.add(box, gbc);
         gbc.down();
         boxes.add(box);
         group.add(box);
         ++count;
      }
      this.validate();
   }
   
   public String getValue()
   {
      for (ChoiceBox box : boxes)
      {
         if (box.isSelected())
         {
            return box.getText();
         }
      }
      return null;
   }

}

class ChoiceBox extends JCheckBox
{
   private static final long serialVersionUID = 1L;
   protected String text;
   
   public ChoiceBox(String text)
   {
      super(text);
      this.text = text;
//      this.setBorder(BorderFactory.createEtchedBorder());
   }
   
   public String getText()
   {
      return text;
   }
}