package org.anc.tool.ui.swing;

import javax.swing.ButtonGroup;

import org.anc.conf.AnnotationConfig;
import org.anc.conf.AnnotationType;
import org.anc.ui.GBC;

public class ExclusiveListPanel extends AnnotationPanel 
{
   private static final long serialVersionUID = 1L;

   protected ButtonGroup group = new ButtonGroup();
   
   public ExclusiveListPanel(String title)
   {
      super(title);
   }

   public ExclusiveListPanel(String title, String[] types)
   {
      this(title, types, -1);
   }
   
   public ExclusiveListPanel(String title, String[] types, int selected)
   {
      super(title);
      GBC gbc = new GBC();
      gbc.fillHorizontal();
      gbc.anchorLeft();
      
      int count = 0;
      for (String typeName : types)
      {
         AnnotationType type = AnnotationType.getValueOf(typeName);
         if (type != null)
         {
            AnnotationCheckBox box = add(type, gbc);
            if (count == selected)
            {
               box.setSelected(true);
            }
            gbc.down();
            ++count;
         }
      }      
   }

   
   public Object getValue()
   {
      for (AnnotationCheckBox box : boxes)
      {
         if (box.isSelected())
         {
            return box.getValue();
         }
      }
      return AnnotationType.NONE;
   }

   @Override
   protected AnnotationCheckBox add(AnnotationType type, GBC gbc)
   {
      AnnotationCheckBox box = super.add(type, gbc);
      group.add(box);
      return box;
   }
}
