package org.anc.tool.ui.swing;

import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.awt.LayoutManager;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.Border;
import javax.swing.border.EtchedBorder;

import org.anc.tool.ui.UserInterface;

public class Panel extends JPanel
{
   private static final long serialVersionUID = 1L;
   private static final Border etchedBorder = BorderFactory.createEtchedBorder(EtchedBorder.RAISED);
   // A grid layout with any number of rows and one column.
   protected final LayoutManager layout;
   
   protected UserInterface ui;
   
   public Panel()
   {
      super();
      this.layout = new GridBagLayout();
      setBorder(etchedBorder);
      setLayout(layout);
   }
   
   public Panel(String title)
   {
      super();
      this.layout = new GridBagLayout();
      Border border = BorderFactory.createTitledBorder(etchedBorder, title);
      setBorder(border);
      setLayout(layout);
   }
   
   public void setUserInterface(UserInterface ui)
   {
      this.ui = ui;
   }
   
   public UserInterface getUserInterface()
   {
      return ui;
   }
}
