/*-
Copyright (c) 2006 The American National Corpus Project.
All rights reserved.

This software has been developed in conjunction with the American
National Corpus (http://americannationalcorpus.org).

This is free software.  Please see license.txt for redistribution details.
 */

package org.anc.tool.ui.swing;

// import com.borland.jbcl.layout.VerticalFlowLayout;
import org.anc.conf.AnnotationConfig;
import org.anc.conf.AnnotationType;
import org.anc.tool.ui.i18n.Messages;
import org.anc.ui.GBC;

/**
 * A user interface component that allows the user to select
 * from amongst the available part of speech tags.
 * 
 * @author Keith Suderman
 * @version 1.0
 */
public class PartOfSpeechPanel extends ExclusiveListPanel
{
   private static final long serialVersionUID = 1L;

   public PartOfSpeechPanel(AnnotationConfig config)
   {
      this(config, -1);
   }
   
   public PartOfSpeechPanel(AnnotationConfig config, int selected)
   {
      super(Messages.ui.POS_PANEL_TITLE);
      GBC gbc = new GBC();
      gbc.fillHorizontal();
      gbc.anchorLeft();
            
      int count = 0;
      for (AnnotationType type : config)
      {
         if (type.isPOS())
         {
            add(type, gbc).setSelected(selected == count);
            ++count;
            gbc.down();
         }
      }
      validate();
   }

}
